Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax
Interface NumberTerm

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable<Term>, java.io.Serializable, Term, ToDOM

All Known Implementing Classes:
  ArithExpr, ArithFunctionTerm, NumberTermImpl, UnnamedVar, VarTerm

    public interface NumberTerm

extends Term

The interface for numeric terms of AgentSpeak language

Method Summary
`double` | `solve()` returns the numeric value of the term

Methods inherited from interface jason.asSyntax.Term
`apply, clone, countVars, equals, getSrcInfo, hasVar, isArithExpr, isAtom, isGround, isInternalAction, isList, isLiteral, isNumeric, isPlanBody, isPred, isRule, isString, isStructure, isUnnamedVar, isVar, setSrcInfo`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface jason.util.ToDOM
`getAsDOM`

Method Detail

### solve

    double solve()

  returns the numeric value of the term

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD